# IShRasterLayerTileIterator Struct Reference

Inheritance diagram for IShRasterLayerTileIterator:

List of all members.

## Classes
class | TTileReader
| Undocumented. More...
## Public Member Functions
virtual void MCCOMAPI | First ()=0
virtual void MCCOMAPI | Next ()=0
virtual boolean MCCOMAPI | More ()=0
virtual const TMCRect &MCCOMAPI | GetRectInTarget ()=0
virtual const TMCRect &MCCOMAPI | GetRectInBounds ()=0
virtual const TMCRect &MCCOMAPI | GetRectInTile ()=0
virtual uint MCCOMAPI | GetTileIndex () const =0
virtual MCCOMErr MCCOMAPI | GetTile (const TChannelDataBucket *bucket[], ETileAccess flags, TMCRect *out_localSource=NULL)=0
virtual MCCOMErr MCCOMAPI | UnGetTile (const TChannelDataBucket *bucket[], boolean dirty)=0

## Detailed Description

This iterator takes a large target rect, splits it into sub-rects that overlap with tiles in the layer, and iterates over the sub-rects.

## Member Function Documentation

virtual void MCCOMAPI IShRasterLayerTileIterator::First | ( |  | ) | `[pure virtual]`

virtual const TMCRect& MCCOMAPI IShRasterLayerTileIterator::GetRectInBounds | ( |  | ) | `[pure virtual]`

virtual const TMCRect& MCCOMAPI IShRasterLayerTileIterator::GetRectInTarget | ( |  | ) | `[pure virtual]`

virtual const TMCRect& MCCOMAPI IShRasterLayerTileIterator::GetRectInTile | ( |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShRasterLayerTileIterator::GetTile | ( | const TChannelDataBucket * | bucket[],
|  | ETileAccess | flags,
|  | TMCRect * | out_localSource = `NULL` |
| ) |  |  | `[pure virtual]`

virtual uint MCCOMAPI IShRasterLayerTileIterator::GetTileIndex | ( |  | ) | const`[pure virtual]`

virtual boolean MCCOMAPI IShRasterLayerTileIterator::More | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IShRasterLayerTileIterator::Next | ( |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShRasterLayerTileIterator::UnGetTile | ( | const TChannelDataBucket * | bucket[],
|  | boolean | dirty |
| ) |  |  | `[pure virtual]`

The documentation for this struct was generated from the following file:

- IShRasterLayer.h